<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Угадай число</title>
</head>
<body>


<script>

    //get a random number
    var randNum = Math.floor(Math.random() * 100 + 1);
    var counter = 0;
    var userNum = 0;

    while (userNum != randNum) {

        //get a guess number from a user
        userNum = prompt("Please enter number");

        //logic
        if (randNum > userNum) {
            alert("Number guesses by computer is higher");

        } else if (randNum < userNum) {
            alert("Number guesses by computer is lower");
        }
        counter++;
    }

    alert("You tried " + counter + " time/s. Computer's number is: " + randNum);

</script>

</body>
</html>